<?php
defined('TYPO3') or die();

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'IgChart',
	'Igchart',
	[
        \Ig\IgChart\Controller\ChartController::class => 'show',
	],
	// non-cacheable actions
	[
	 ]
);


// Register icon
$iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Core\Imaging\IconRegistry::class);
$iconRegistry->registerIcon(
  'chart-icon',
  \TYPO3\CMS\Core\Imaging\IconProvider\BitmapIconProvider::class,
  ['source' => 'EXT:ig_chart/Resources/Public/Icons/chart.svg']
);


//Include TypoScript for PageTSConfig
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig(
    "@import 'EXT:ig_chart/Configuration/TypoScript/extTsConfig.tsconfig'"
);
